World Builder

Controls the creation and management of World Builder content and mods. It interfaces with the Unreal Engine editor to customize cooking, packaging, and deployment for both game clients and servers.

Get Content IDs

get

Retrieves a list of content IDs for a project. You can filter the results by providing query parameters that correspond to properties in the WorldBuilderContentShape.

Authorizations
x-api-keystringRequired
Header parameters
x-m2-organization-idstringRequired

The ID of an organization

x-m2-project-idstringRequired

The ID of a project

Responses
chevron-right
200

List of content IDs available in World Builder, representing unique identifiers for various content items

application/json
string[]Optional

List of content IDs available in World Builder, representing unique identifiers for various content items

get
/content/

Create Content

post

Creates new content for a specific project.

Authorizations
x-api-keystringRequired
Header parameters
x-m2-organization-idstringRequired

The ID of an organization

x-m2-project-idstringRequired

The ID of a project

Body

Data required to create new World Builder content, excluding system-generated fields. This includes content details such as description, buildId, pluginName, and maps.

descriptionstringRequired
buildIdstringRequired
pluginNamestringRequired
patchTypeany ofOptional
string · enumOptionalPossible values:
or
string · enumOptionalPossible values:
or
string · enumOptionalPossible values:
Responses
post
/content/

List Embedded Content Runs

get

Retrieves a list of runs for uploading embedded content for the specified organization. It can filter the runs by state (queued, pending, running, cancelling, completed or failed).

Authorizations
x-api-keystringRequired
Query parameters
limitnumberOptional

Number of documents to return per page

startAfterstringOptional

Unique id of the returned value object that the query should start after

endBeforestringOptional

Unique id of the returned value object that the query should end before

Header parameters
x-m2-organization-idstringRequired

The ID of an organization

Responses
chevron-right
200

List of embedded content runs

application/json

List of embedded content runs

organizationIdstringRequired

The ID of an organization

projectIdstringRequired

The ID of a project

contentIdstringRequired
gfnTitleIdstringRequired

GFN Title ID of the variant into which we want to embed the content

createdBystringRequired

The ID of the user who created the Fast Play build

buildkiteRunIdstringOptional

A unique identifier for the Buildkite run used to embed the content. It is populated when Fast Play moves from the 'queued' to the 'pending' phase.

buildkiteRunNumbernumberOptional

The number of the Buildkite run used to embed the content. It is populated when Fast Play moves from the 'queued' to the 'pending' phase. We use this as a query parameter when cancelling a Buildkite run.

startTimeMsnumberOptional

The time the Fast Play Buildkite run started, in ms. It coincides with the embed run being moved to the 'pending' phase.

endTimeMsnumberOptional

The time the Fast Play Buildkite run ended (successfully or not), in ms. It coincides with the embed run being moved to the 'completed' or 'failed' phase.

idstringRequired
get
/content/embed/

Get Content

get

Retrieves the data for content using its contentId.

Authorizations
x-api-keystringRequired
Path parameters
contentIdstringRequired

Unique identifier of the World Builder content to operate on, used in various content-related API endpoints

Header parameters
x-m2-organization-idstringOptional

The ID of an organization

x-m2-project-idstringOptional

The ID of a project

Responses
chevron-right
200

Detailed information about a specific World Builder content

application/json

Detailed information about a specific World Builder content

get
/content/{contentId}/

Update Content

patch

Updates the maps for a specific content ID.

Authorizations
x-api-keystringRequired
Path parameters
contentIdstringRequired

Unique identifier of the World Builder content to operate on, used in various content-related API endpoints

Header parameters
x-m2-organization-idstringRequired

The ID of an organization

x-m2-project-idstringRequired

The ID of a project

Body

Data for updating maps in specific World Builder content, allowing partial updates

Responses
chevron-right
200

Updated World Builder content after modification, including organization, project, and mod IDs

application/json

Updated World Builder content after modification, including organization, project, and mod IDs

documentIdstringRequired
descriptionstringRequired
statusany ofRequired
number · enumOptionalPossible values:
or
number · enumOptionalPossible values:
buildIdstringRequired
creatorIdstringRequired
pluginNamestringRequired
patchTypeany ofOptional
string · enumOptionalPossible values:
or
string · enumOptionalPossible values:
or
string · enumOptionalPossible values:
patch
/content/{contentId}/

Delete Content

delete

Deletes a specific content ID.

Authorizations
x-api-keystringRequired
Path parameters
contentIdstringRequired

Unique identifier of the World Builder content to operate on, used in various content-related API endpoints

Header parameters
x-m2-organization-idstringRequired

The ID of an organization

x-m2-project-idstringRequired

The ID of a project

Responses
delete
/content/{contentId}/

No content

Create a new Fast Play build

post

Queues a new Fast Play build for the specified organization, project, and content.

Authorizations
x-api-keystringRequired
Path parameters
contentIdstringRequired
Header parameters
x-m2-organization-idstringRequired

The ID of an organization

x-m2-project-idstringRequired

The ID of a project

Body

The request body for embedding content

gfnTitleIdstringRequired

The title ID of the variant to use for embedding

Responses
chevron-right
200

The data of the created Fast Play build

application/json

The data of the created Fast Play build

organizationIdstringRequired

The ID of an organization

projectIdstringRequired

The ID of a project

contentIdstringRequired
gfnTitleIdstringRequired

GFN Title ID of the variant into which we want to embed the content

createdBystringRequired

The ID of the user who created the Fast Play build

buildkiteRunIdstringOptional

A unique identifier for the Buildkite run used to embed the content. It is populated when Fast Play moves from the 'queued' to the 'pending' phase.

buildkiteRunNumbernumberOptional

The number of the Buildkite run used to embed the content. It is populated when Fast Play moves from the 'queued' to the 'pending' phase. We use this as a query parameter when cancelling a Buildkite run.

startTimeMsnumberOptional

The time the Fast Play Buildkite run started, in ms. It coincides with the embed run being moved to the 'pending' phase.

endTimeMsnumberOptional

The time the Fast Play Buildkite run ended (successfully or not), in ms. It coincides with the embed run being moved to the 'completed' or 'failed' phase.

idstringRequired
post
/content/{contentId}/embed/

Delete a Fast Play build

delete

Stops a Fast Play build that is in the queued, pending, or running phase.

Authorizations
x-api-keystringRequired
Path parameters
contentIdstringRequired
contentEmbedRunIdstringRequired
Header parameters
x-m2-organization-idstringRequired

The ID of an organization

x-m2-project-idstringRequired

The ID of a project

Responses
delete
/content/{contentId}/embed/{contentEmbedRunId}/

No content

Get Mods

get

Retrieves a list of mods that the user has access to within an organization or project. Only project scoped queries may make paginated requests. Support for organization scoped queries will be removed in a future version.

Authorizations
x-api-keystringRequired
Query parameters
limitnumberOptional

Number of documents to return per page

startAfterstringOptional

Unique id of the returned value object that the query should start after

endBeforestringOptional

Unique id of the returned value object that the query should end before

Header parameters
x-m2-organization-idstringRequired

The ID of an organization

x-m2-project-idstringOptional

The ID of a project

Responses
chevron-right
200

The relevant mods associated with the organization.

application/json

The relevant mods associated with the organization.

or
get
/mods/

Get Mod IDs

get

Retrieves a list of mod IDs that the user has access to within an organization and project.

Authorizations
x-api-keystringRequired
Header parameters
x-m2-organization-idstringRequired

The ID of an organization

x-m2-project-idstringRequired

The ID of a project

Responses
chevron-right
200

The relevant mods associated with the project.

application/json

The relevant mods associated with the project.

get
/mods/mapping/

Get Mod

get

Retrieves a mod and its associated content using the mod's modId. The response also includes the user's write access permissions for the mod.

Authorizations
x-api-keystringRequired
Path parameters
modIdstringRequired
Query parameters
limitnumberOptional

Number of documents to return per page

startAfterstringOptional

Unique id of the returned value object that the query should start after

endBeforestringOptional

Unique id of the returned value object that the query should end before

Header parameters
x-m2-organization-idstringRequired

The ID of an organization

x-m2-project-idstringRequired

The ID of a project

Responses
chevron-right
200

The response when getting a mod

application/json

The response when getting a mod

get
/mods/{modId}/

Get Mod Contents

get

Lists all the contents for a mod.

Authorizations
x-api-keystringRequired
Path parameters
modIdstringRequired
Query parameters
limitnumberOptional

Number of documents to return per page

startAfterstringOptional

Unique id of the returned value object that the query should start after

endBeforestringOptional

Unique id of the returned value object that the query should end before

Header parameters
x-m2-organization-idstringRequired

The ID of an organization

x-m2-project-idstringRequired

The ID of a project

Responses
chevron-right
200

A list of contents for the requested Mod.

application/json

A list of contents for the requested Mod.

hasMorestringOptional
get
/mods/{modId}/contents/
200

A list of contents for the requested Mod.

Last updated

Was this helpful?